Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.client
Class WSClient

    java.lang.Object
      org.eclipse.higgins.ics.ws.client.WSClient

public final class WSClient
extends Object

Author:
  Alexander Yuhimenko

Field Summary
`static String` | `RPPSEndpointAddress`

Constructor Summary
`WSClient()`

Method Summary
`Response` | `addUserProfile(UserProfile userProfile)`
`Response` | `checkImportStream(String userId, String password, byte[] crd)`
`Response` | `clearCardCredential(String userId, String password, String cuid)`
`Response` | `clearCardHistory(String userId, String password, String cuid)`
`Response` | `createCategory(Category category, String userIdentifier, String userPassword)`
`Response` | `createDuplicateICard(String cuid, String cardName, String pinCode, String userIdentifier, String userPassword)`
`Response` | `createICard(CardTemplate cardTemplate, String userIdentifier, String userPassword)`
`Response` | `deleteAllCard(String userIdentifier, String userPassword)`
`Response` | `deleteCategory(String categoryId, String userIdentifier, String userPassword)`
`Response` | `deleteICard(String cuid, String userIdentifier, String userPassword)`
`Response` | `deleteUrlsCardRelation(String userId, String password, String cuid, String[] urls)`
`Response` | `deleteUserProfile(String userIdentifier, String userPassword)`
`Response` | `editPinCode(String userId, String password, String cuid, String oldPinCode, String newPinCode)`
`Response` | `exportICards(String userId, String password, String formatID, String[] cards, CardCredential credential)`
`Response` | `getCardByCredential(Card card, String userIdentifier, String userPassword)`
`Response` | `getCardById(String cuid, String userIdentifier, String userPassword)`
`Response` | `getCardHistory(String userId, String password, String cuid, int startFrom, int capacity, String orderBy, String orderDirection)`
`Response` | `getCardInformation(String cuid, String userIdentifier, String userPassword, int size)`
`Response` | `getICardsByFormat(String userId, String password, String formatID)`
`Response` | `getICardsFromRestoreAndFormatDescriptor(String userIdentifier, String userPassword, String formatID, byte[] fileData, UITokenServiceCredentialTO uitscTO)`
`Response` | `getICardTemplate(String userId, String userPassword)`
`Response` | `getMRU(String userId, String password)`
`Response` | `getOutputFormats(String userId, String password)`
`RPPSServiceLocator` | `getService()`
`RPPSServiceSEI` | `getServiceImpl()`
`Response` | `getUserData(String userId, String userPassword)`
`Response` | `getUserProfile(String userIdentifier, String userPassword)`
`Response` | `importICards(String userIdentifier, String userPassword, byte[] fileData)`
`Response` | `modifyCategories(String userId, String password, Category[] categories)`
`Response` | `modifyCategory(Category category, String userIdentifier, String userPassword)`
`Response` | `modifyICard(Card card, String userIdentifier, String userPassword)`
`Response` | `modifyUserProfile(UserProfile userProfile, String userIdentifier, String userPassword)`
`Response` | `resetPinCode(Card card, String userIdentifier, String userPassword)`
`Response` | `setCardCredential(String userId, String password, String cuid, CardCredential tokenCredential)`
`Response` | `setPinCode(Card card, String pinCode, String userIdentifier, String userPassword)`
`void` | `setService(RPPSServiceLocator service)`
`Response` | `setUrlsCardRelation(String userId, String password, String cuid, String[] urls)`
`Response` | `updateClaimAcrossCards(String userId, String password, String[] claimType, String[] claimValue, CardUpdate[] cardUpdate)`
`Response` | `updateICards(String userId, String password, Card[] cards)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RPPSEndpointAddress

    public static String RPPSEndpointAddress

Constructor Detail

### WSClient

    public WSClient()

Method Detail

### deleteICard

    public final Response deleteICard(String cuid,
                                      String userIdentifier,
                                      String userPassword)

  Parameters:
    `cuid` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### getUserData

    public final Response getUserData(String userId,
                                      String userPassword)

  Parameters:
    `userId` -
    `userPassword` -
  Returns:
    Card[]

### getCardByCredential

    public final Response getCardByCredential(Card card,
                                              String userIdentifier,
                                              String userPassword)

  Parameters:
    `userPassword` -
  Returns:

### getICardTemplate

    public final Response getICardTemplate(String userId,
                                           String userPassword)

  Parameters:
    `userId` -
    `userPassword` -
  Returns:

### createICard

    public final Response createICard(CardTemplate cardTemplate,
                                      String userIdentifier,
                                      String userPassword)

  Parameters:
    `userPassword` -
  Returns:

### addUserProfile

    public final Response addUserProfile(UserProfile userProfile)

  Parameters:
    `userProfile` -
  Returns:

### getUserProfile

    public final Response getUserProfile(String userIdentifier,
                                         String userPassword)

  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### modifyUserProfile

    public final Response modifyUserProfile(UserProfile userProfile,
                                            String userIdentifier,
                                            String userPassword)

  Parameters:
    `userProfile` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### deleteUserProfile

    public final Response deleteUserProfile(String userIdentifier,
                                            String userPassword)

  Parameters:
    `userIdentifier` -
  Returns:

### modifyICard

    public final Response modifyICard(Card card,
                                      String userIdentifier,
                                      String userPassword)

### getServiceImpl

    public final RPPSServiceSEI getServiceImpl()
                                        throws javax.xml.rpc.ServiceException

  Returns:
  Throws:
    `javax.xml.rpc.ServiceException`

### getCardById

    public final Response getCardById(String cuid,
                                      String userIdentifier,
                                      String userPassword)

### setPinCode

    public final Response setPinCode(Card card,
                                     String pinCode,
                                     String userIdentifier,
                                     String userPassword)

  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### editPinCode

    public final Response editPinCode(String userId,
                                      String password,
                                      String cuid,
                                      String oldPinCode,
                                      String newPinCode)

### resetPinCode

    public final Response resetPinCode(Card card,
                                       String userIdentifier,
                                       String userPassword)

  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### createDuplicateICard

    public final Response createDuplicateICard(String cuid,
                                               String cardName,
                                               String pinCode,
                                               String userIdentifier,
                                               String userPassword)

  Parameters:
    `cardName` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### createCategory

    public final Response createCategory(Category category,
                                         String userIdentifier,
                                         String userPassword)

  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### modifyCategory

    public final Response modifyCategory(Category category,
                                         String userIdentifier,
                                         String userPassword)

  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### deleteCategory

    public final Response deleteCategory(String categoryId,
                                         String userIdentifier,
                                         String userPassword)

  Parameters:
    `categoryId` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### deleteAllCard

    public final Response deleteAllCard(String userIdentifier,
                                        String userPassword)

  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### importICards

    public final Response importICards(String userIdentifier,
                                       String userPassword,
                                       byte[] fileData)

### getICardsFromRestoreAndFormatDescriptor

    public final Response getICardsFromRestoreAndFormatDescriptor(String userIdentifier,
                                                                  String userPassword,
                                                                  String formatID,
                                                                  byte[] fileData,
                                                                  UITokenServiceCredentialTO uitscTO)

### getCardInformation

    public final Response getCardInformation(String cuid,
                                             String userIdentifier,
                                             String userPassword,
                                             int size)

### clearCardCredential

    public final Response clearCardCredential(String userId,
                                              String password,
                                              String cuid)

### clearCardHistory

    public final Response clearCardHistory(String userId,
                                           String password,
                                           String cuid)

### setUrlsCardRelation

    public final Response setUrlsCardRelation(String userId,
                                              String password,
                                              String cuid,
                                              String[] urls)

### deleteUrlsCardRelation

    public final Response deleteUrlsCardRelation(String userId,
                                                 String password,
                                                 String cuid,
                                                 String[] urls)

### modifyCategories

    public final Response modifyCategories(String userId,
                                           String password,
                                           Category[] categories)

### checkImportStream

    public final Response checkImportStream(String userId,
                                            String password,
                                            byte[] crd)

### setCardCredential

    public final Response setCardCredential(String userId,
                                            String password,
                                            String cuid,
                                            CardCredential tokenCredential)

### getCardHistory

    public final Response getCardHistory(String userId,
                                         String password,
                                         String cuid,
                                         int startFrom,
                                         int capacity,
                                         String orderBy,
                                         String orderDirection)

### getOutputFormats

    public final Response getOutputFormats(String userId,
                                           String password)

### getICardsByFormat

    public final Response getICardsByFormat(String userId,
                                            String password,
                                            String formatID)

### exportICards

    public final Response exportICards(String userId,
                                       String password,
                                       String formatID,
                                       String[] cards,
                                       CardCredential credential)

### getMRU

    public final Response getMRU(String userId,
                                 String password)

### updateClaimAcrossCards

    public final Response updateClaimAcrossCards(String userId,
                                                 String password,
                                                 String[] claimType,
                                                 String[] claimValue,
                                                 CardUpdate[] cardUpdate)

### updateICards

    public final Response updateICards(String userId,
                                       String password,
                                       Card[] cards)

### getService

    public RPPSServiceLocator getService()

  Returns:
    the service

### setService

    public void setService(RPPSServiceLocator service)

  Parameters:
    `service` - the service to set

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD